image: maven@sha256:03257e9c22fa347a9ff589a3381018751e8bb36f0c505187d61731bff3a63c49

before_script:
  - apt-get update
  - apt-get install -y build-essential libpython2-dev

build:
  script:
    - sed -i 's/git@gitlab.com:rizon\/pyva/https:\/\/gitlab.com\/rizon\/pyva.git/' .gitmodules
    - git submodule init && git submodule update
    - cp pyva/libpyva/pyva-native/make.example.properties pyva/libpyva/pyva-native/make.properties
    - mvn -B test
    - find pyva/pyva/src/main/python/ -name "*.py" -print0 | xargs -0 -n1 -I'{}' python2 -m py_compile {}
